Last modified: 2014-01-04 23:48:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21377 - Enable SiteWideMessages on enwp
Enable SiteWideMessages on enwp
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
unspecified
All All
: Lowest enhancement with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikipedia.org/w/index.php?t...
:
Depends on:
Blocks: 31235
  Show dependency treegraph
 
Reported: 2009-11-01 19:14 UTC by Cenarium
Modified: 2014-01-04 23:48 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Cenarium 2009-11-01 19:14:42 UTC
Please enable the extension SiteWideMessages on the English Wikipedia, with messages displayed by default but with no new message bar prompt by default and the following preferences (misc?) options:

1. do not show site messages (default unchecked)

2. trigger the new message bar for site messages (default unchecked, not when above pref checked)
Comment 1 p858snake 2009-11-05 05:00:56 UTC
Changed Keywords: (N/A) → need-review

This extension has not been tested or used on any WMF wiki so it requires usability, performance and security reviews as well as some other things.
Comment 2 Jack Phoenix 2011-09-07 17:43:26 UTC
Extension page on MediaWiki.org: http://www.mediawiki.org/wiki/Extension:SiteWideMessages

Last year we at ShoutWiki (http://www.mediawiki.org/wiki/ShoutWiki) looked into SiteWideMessages and I ended up hacking a version which works for our setup (which, obviously, is a bit different than Wikimedia's or Wikia's). Some notes:
*the original extension is not 1:1 compatible with the trunk (or any branched version, for that matter) of MediaWiki; there are a few custom functions and some core patches that are needed
**two core patches are still needed, to includes/diff/DifferenceInterface.php and to includes/User.php; both of these patches are *not* straightforward
***User.php patch changes the way of how the UserRetrieveNewTalks hook works and the original Wikia code uses a Wikia-specific global ($wgCityId) identifier of the current wiki in the User.php patch
***DifferenceInterface.php patch adds a hook called GetUserMessagesDiffCurrent in *three* different places of the code and its logic is generally speaking a bit scary
*even after I rewrote some database queries, the extension still uses plenty of subqueries and some normal queries that currently cannot be done with MediaWiki's database abstraction layer
*there's some bad i18n, mainly related to the building of expiration dates
*I had to hardcode ShoutWiki's domain in SiteWideMessages::userNewTalks (the function which is hooked into the UserRetrieveNewTalks hook)
**there's plenty of ShoutWiki-specific code in my version, and obviously that should be generalized, but ironically MediaWiki doesn't deal too well with wiki farm setups by default
***for ShoutWiki's setup, we could safely assume that if there is "wiki" in the database's name, it's a MediaWiki database; the same may or may not be true for Wikimedia

Now, even if (when? :) we fix those issues, there's still a few things to take into account:
1) SiteWideMessages generally are /annoying/ -- you get the "You have new messages" bar for each SiteWideMessage until you dismiss them. Of course, the new preferences proposed in the original bug report could address this.
2) ***SiteWideMessages is an extension meant for WIKI FARMS, not for individual wikis***. It's much like the CentralNotice extension <http://www.mediawiki.org/wiki/Extension:CentralNotice>, which is enabled on Wikimedia sites. If SiteWideMessages would be enabled on Wikimedia, there'd most likely be a very small group of users who were allowed to use it, either Wikimedia staff, stewards or an entirely new group who would have the 'sitewidemessages' user right.

If someone is interested in the ShoutWiki version of SiteWideMessages, I can commit it to the official MediaWiki Subversion repository at http://svn.wikimedia.org/.

In the light of the above, I'm suggesting either LATER or WONTFIX.
Comment 3 Andre Klapper 2013-01-23 12:39:04 UTC
See https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment for information on what is needed to get an extension reviewed before potentially deploying it on a wikisite.
Comment 4 Greg Grossmeier 2013-08-22 22:16:08 UTC
Looking at the talk page for the extension, and the notice at the top:
"This extension is written for Wikia, and only works on Wikia. see the talk page"

I am going to close this for now until there is a possibility of it running on WMF-hosted wikis and there is a new community request for this.
Comment 5 MZMcBride 2014-01-04 23:48:40 UTC
(In reply to comment #0)

Cenarium: you may want to look into [[mw:Extension:MassMessage]] or [[mw:Extension:Echo]].

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links